Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 15:35:59 +0200

Glenn Linderman <[email-masked]> writes:

> I think you understood correctly.  I'm not sure what version of which
> Python-mode I have, but could probably figure it out somehow (I love emacs,
> because it has extensions, but I'm not real good at writing or understanding
> elisp: I use other people's extensions, mostly, and a bit of cut-n-paste
> programming for a few more customizations).
>
> Probably the following message, that I get every time I open the file.
>
> "Warning: no abbrev-file found, customize `abbrev-file-name' in order to make
> mode-specific abbrevs work."

Right.  Some modes are chatty at startup and hides warnings you're
interested in.

It's perfectly valid to not want to load an autosaved file, and making
Emacs prompt would be an inconvenience, in my opinion.

Perhaps Emacs should treat auto-saved files a bit more like what it does
with files that have changed?  I.e., if you try to edit a file with an
auto-save file, it should prompt you something like "foo has auto save
data; really edit the buffer?" or something?

Would that make sense?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no